@import "variables/colors";
@import "variables/font";
@import "mixins/transitions";

.form-group {
  .form-relative {
    position: relative;
    display: grid;
  }

  .box-icon {
    position: absolute;
    bottom: 14px;

    &.left {
      left: 15px;
    }
    &.right {
      right: 15px;
    }
    i {
      margin-left: 8px;
      font-size: 20px;
    }
  }
}

.form-control {
  &.left {
    padding-left: 40px;
  }
  &.right {
    padding-right: 40px;
  }
}

.mo-date {
  &.is-single-date-picker {
    ::ng-deep .md-drppicker {
      padding: 1.5rem !important;
    }
  }
  ::ng-deep .md-drppicker {
    padding: 1.5rem 1.5rem 1.5rem 0 !important;
    border-radius: 16px !important;
    td.in-range {
      background-color: $neutral-10 !important;
      color: $caribbean-green-60 !important;
    }
    td.active {
      background-color: $caribbean-green-60 !important;
      color: $neutral !important;
    }
    .ranges {
      ul {
        li {
          button {
            padding-left: 2rem !important;
          }
          button.active {
            background-color: $neutral-10 !important;
            color: $caribbean-green-60 !important;
          }
        }
      }
    }

    .btn {
      @include transition(background-color 400ms ease-out);
      box-sizing: border-box !important;
      appearance: none !important;
      background: transparent !important;
      border: none !important;
      font-family: $font-family-medium !important;
      border-radius: 24px !important;
      position: relative !important;
      padding: 1px 20px !important;
      margin-bottom: 4px !important;
      margin-top: 4px !important;
      font-weight: 700 !important;
      cursor: pointer !important;
      outline: none !important;
      box-shadow: none !important;
      :focus {
        outline: none !important;
      }

      background-color: $caribbean-green-60 !important;
      color: $neutral-100 !important;
      &.btn-default {
        margin-right: 1rem !important;
        background-color: $neutral !important;
        color: $caribbean-green-60 !important;
        border: 1px solid $caribbean-green-60 !important;
      }
    }
  }
}
